API Docs / Operations / Client - Billing - Lines / List Billing Line Items for Client

List Billing Line Items for Client

GET /tenants/{tenant}/clients/{client}/billinglineitems/clientbillinglineitem

Lists all Billing Line Items for the specified client.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

client* path string
offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

BillingDate GeneratedDate Status UnitPrice

Field to sort by.

BillingDate GeneratedDate Status UnitPrice

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

status query string

Filter by line item status (Pending, Approved, Invoiced, Cancelled)

Filter by line item status (Pending, Approved, Invoiced, Cancelled)

clientBillableServiceCode query string

Filter by client billable service code

Filter by client billable service code

billableServiceCode query string

Filter by billable service code

Filter by billable service code

clientCode query string

Filter by client code

Filter by client code

billingDateFrom query string

Filter to line items with billing date on or after this date (yyyy-MM-dd)

Filter to line items with billing date on or after this date (yyyy-MM-dd)

billingDateTo query string

Filter to line items with billing date on or before this date (yyyy-MM-dd)

Filter to line items with billing date on or before this date (yyyy-MM-dd)

Responses

401 Unauthorized – Invalid or missing API key